//
// Created by trotfunky on 06/06/19.
//

#ifndef SRC_LEVEL_H
#define SRC_LEVEL_H

#include <SFML/Graphics.hpp>
#include <vector>

#include "Entity.h"
#include "Game.h"


class Level {
public:
    Level(const TextureStore& textureStore);

    void render(sf::RenderWindow& renderWindow) const;
    void runStep() const;

private:
    const sf::Vector2i size;

    std::vector<Entity> entities;

    const TextureStore& textures;
};


#endif //SRC_LEVEL_H
